Loading...
Searching...
No Matches
fmatrixev.hh File Reference

Eigenvalue computations for the FieldMatrix class. More...

`#include <algorithm>`
`#include <iostream>`
`#include <cmath>`
`#include <cassert>`
`#include <dune-common-config.hh>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/fvector.hh>`
`#include <dune/common/fmatrix.hh>`
`#include <dune/common/math.hh>`

Go to the source code of this file.

## Namespaces

namespace | Dune
| Dune namespace
namespace | Dune::FMatrixHelp

## Functions

template<int dim, typename K>
static void | Dune::FMatrixHelp::eigenValues (const FieldMatrix< K, dim, dim > &matrix, FieldVector< K, dim > &eigenValues)
| calculates the eigenvalues of a symmetric field matrix
template<int dim, typename K>
static void | Dune::FMatrixHelp::eigenValuesVectors (const FieldMatrix< K, dim, dim > &matrix, FieldVector< K, dim > &eigenValues, FieldMatrix< K, dim, dim > &eigenVectors)
| calculates the eigenvalues and eigenvectors of a symmetric field matrix
template<int dim, typename K>
static void | Dune::FMatrixHelp::eigenValuesLapack (const FieldMatrix< K, dim, dim > &matrix, FieldVector< K, dim > &eigenValues)
| calculates the eigenvalues of a symmetric field matrix
template<int dim, typename K>
static void | Dune::FMatrixHelp::eigenValuesVectorsLapack (const FieldMatrix< K, dim, dim > &matrix, FieldVector< K, dim > &eigenValues, FieldMatrix< K, dim, dim > &eigenVectors)
| calculates the eigenvalues and -vectors of a symmetric field matrix
template<int dim, typename K, class C>
static void | Dune::FMatrixHelp::eigenValuesNonSym (const FieldMatrix< K, dim, dim > &matrix, FieldVector< C, dim > &eigenValues)
| calculates the eigenvalues of a non-symmetric field matrix

## Detailed Description

Eigenvalue computations for the FieldMatrix class.